# jquery-kpiwidgets


<img src="https://staging.inner-active.com/iamp/IAWidgets/NPM/readmeImages/numTrendKPI.png" />

## Installation

```sh
npm install jquery-kpiwidgets
```

## Widgets

- NumTrendKPI

## Usage

```js
var kpiWidget = $("#numAndTrendKPI").NumTrendKPI({
    title: "TOTAL REVENUE",
    footer: "GOAL SET: $3500/WEEK",
    data: {
        value: 4900,
        trend: "up",
        symbol: "$"
    },
    clickHandler: function () {
        alert("this is a click");
    }
});
```

```html
<div class="kpi-container-div">
    <div id="numAndTrendKPI" class="kpi-item"></div>
</div>
```

### Options

| Name      | Type | Default | Description |
|-----------|------|---------|-------------|
| `title`   | string | "" | Widget Title |
| `value`   | integer | 0 | Widget Value |
| `trend`   | string | "" | trend of value change. "up" / "down" / "flat".  this value is used for the placement of an optional trend image.  in case of "", no image will be shown|
| `symbol`  | string | "" | currency (or any other) symbol that will be placed before the value |
| `footer`  | string | "" | text that will appear inside the widget footer |
| `height`  | integer | 148 | widget height in px |
| `width`   | integer | 230 | widget width in px |
| `maxValueForSize`   | integer | 100000 | above this number, the widget font size wil decrease and get the num-trend-kpi-data-text-small style class|



## Dependencies

- [jQuery](http://jquery.com/): write less, do more
- [jQuery-ui](http://jqueryui.com/): jQuery user interface
